# CHANGELOG

## v0.2

### Breaking changes

* Moved the following methods from `Rowlinson\Api\UserClient` to `Rowlinson\Api\AuthClient`:
    - `login`
    - `logout`
    - `verify`
    - `verifyCredentials`
    - `impersonate`
    - `setApiKey`
* Moved the following methods from `Rowlinson\Api\UserClient` to `Rowlinson\Api\InviteClient`:
    - `invite`
    - `getInvite`
    - `resendInvite`
* Added a new parameter to `Rowlinson\Api\DeliveryLocationClient::getDeliveryLocations()`, the method signature used to be `int $page = 1, int $perPage = 10`, the new signature is `string $organisation = null, int $page = 1, int $perPage = 10`
* Moved `Rowlinson\Api\Responses\User\LoginResponse` to `Rowlinson\Api\Responses\Auth\LoginResponse`
* Moved `Rowlinson\Api\Responses\User\GetInviteResponse` to `Rowlinson\Api\Responses\Invites\GetInviteResponse`
* Moved `Rowlinson\Api\Requests\User\InviteRequest` to `Rowlinson\Api\Requests\Invite\InviteRequest`
* Moved `Rowlinson\Api\Requests\User\{ImpersonateRequest,LoginRequest,VerifyCredentialsRequest,VerifyRequest}` to `Rowlinson\Api\Requests\Auth` namespace

### Non-breaking changes

* Added a new method `Rowlinson\Api\AuthClient::sso()` to exchange an SSO token for an API key
* Added a new method `Rowlinson\Api\BasketClient::validate()` to send a collection of product variants with an optional organisation alias and receive errors and surcharge warnings back
* Added a new client `Rowlinson\Api\OrganisationClient` for fetching information about organisations, this is fetchable via the `createOrganisation()` method on `Rowlinson\Api\Sdk`
