<?php

declare(strict_types=1);

namespace Rowlinson\Api\Responses\Product;

use JMS\Serializer\Annotation as Serializer;

class ImageResponse
{
    /**
     * @Serializer\Type("int")
     */
    public ?int $width = null;
    /**
     * @Serializer\Type("int")
     */
    public ?int $height = null;
    /**
     * @Serializer\Type("string")
     */
    public ?string $url = null;
}
